org.jvnet.libpam.impl

## Class PAMLibrary.pam_conv

- java.lang.Object
- - com.sun.jna.Structure
  - - org.jvnet.libpam.impl.PAMLibrary.pam_conv

Enclosing interface:
  PAMLibrary

    public static class PAMLibrary.pam_conv
    extends com.sun.jna.Structure

### Nested Class Summary

Nested Classes
`static interface` `PAMLibrary.pam_conv.PamCallback`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.StructField`

### Field Summary

Fields
`com.sun.jna.Pointer` `_`
`PAMLibrary.pam_conv.PamCallback` `conv`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`pam_conv(PAMLibrary.pam_conv.PamCallback conv)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### conv

    public PAMLibrary.pam_conv.PamCallback conv

#### _

    public com.sun.jna.Pointer _

### Constructor Detail

#### pam_conv

    public pam_conv(PAMLibrary.pam_conv.PamCallback conv)